# команды

#  nop
#^\s*(nop)\s*$
^\s*(nop)\s*(#.*)?$

#  halt
#^\s*(halt)\s*$
^\s*(halt)\s*(#.*)?$

#  rrmovl %eax , %ebx
#^\s*(rrmovl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(rrmovl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$

#  irmovl array , %edx
#  irmovl $4 , %esi
#  irmovl $-10 , %esi
#^\s*(irmovl)\s+(\w+|\$[\+|\-]?[0-9]+|\$0x[0-9|a-f]+)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(irmovl)\s+(\w+|\$[\+|\-]?[0-9]+|\$0x[0-9|a-f]+)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$

#  rmmovl  %ecx , -3(%ebx)
#  rmmovl %esp, 0x12345 (%edx)
#^\s*(rmmovl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*([\+|\-]?[0-9]+|0x[0-9|a-f]+)*\s*\(\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*\)\s*$
^\s*(rmmovl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*([\+|\-]?[0-9]+|0x[0-9|a-f]+)*\s*\(\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*\)\s*(#.*)?$

#  mrmovl (%edx), %eax
#  mrmovl 8(%ebp), %edx  
#  mrmovl -12(%ebp), %edx  
#  mrmovl 0xf012( %eax ) , %ebx
#^\s*(mrmovl)\s+([\+|\-]?[0-9]+|0x[0-9|a-f]+)*\s*\(\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*\)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(mrmovl)\s+([\+|\-]?[0-9]+|0x[0-9|a-f]+)*\s*\(\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*\)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$

#  addl %eax , %ebx
#^\s*(addl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(addl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$

#  subl %eax , %ebx
#^\s*(subl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(subl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$

#  andl %eax , %ebx
#^\s*(andl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(andl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$

#  xorl %eax , %ebx
#^\s*(xorl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(xorl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*,\s*%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$

#  jmp yyyy
#^\s*(jmp)\s+(\w+)\s*$
^\s*(jmp)\s+(\w+)\s*(#.*)?$

#  jle yyyy
#^\s*(jle)\s+(\w+)\s*$
^\s*(jle)\s+(\w+)\s*(#.*)?$

#  jl yyyy
#^\s*(jl)\s+(\w+)\s*$
^\s*(jl)\s+(\w+)\s*(#.*)?$

#  je yyyy
#^\s*(je)\s+(\w+)\s*$
^\s*(je)\s+(\w+)\s*(#.*)?$

#  jne yyyy
#^\s*(jne)\s+(\w+)\s*$
^\s*(jne)\s+(\w+)\s*(#.*)?$

#  jge yyyy
#^\s*(jge)\s+(\w+)\s*$
^\s*(jge)\s+(\w+)\s*(#.*)?$

#  jg yyyy
#^\s*(jg)\s+(\w+)\s*$
^\s*(jg)\s+(\w+)\s*(#.*)?$

#  call xxxx
#^\s*(call)\s+(\w+)\s*$
^\s*(call)\s+(\w+)\s*(#.*)?$

#  ret
#^\s*(ret)\s*$
^\s*(ret)\s*(#.*)?$

#  pushl %ebp
#^\s*(pushl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(pushl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$

#  popl %ebp
#^\s*(popl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*$
^\s*(popl)\s+%e(ax|cx|dx|bx|sp|bp|si|di)\s*(#.*)?$
